Name:       saxpath
Version:    1.0
Release:    4
Summary:    Simple API for XPath

Group:      Development/Java
License:    Saxpath
URL:        http://sourceforge.net/projects/saxpath/
Source0:    http://downloads.sourceforge.net/saxpath/saxpath-1.0.tar.gz
Source1:    %{name}-%{version}.pom

BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	java-rpmbuild
Requires:	jpackage-utils

BuildArch:      noarch

%description
The SAXPath project is a Simple API for XPath. SAXPath is analogous to SAX
in that the API abstracts away the details of parsing and provides a simple
event based callback interface.

%package javadoc
Summary:    Javadoc for saxpath
Group:      Development/Java
Requires:   jpackage-utils

%description javadoc
Java API documentation for saxpath.

%prep
%setup -q -n %{name}-%{version}-FCS

find -type f -name "*.jar" -exec rm -f '{}' \;

%build
mkdir src/conf
touch src/conf/MANIFEST.MF

export CLASSPATH=$(build-classpath xalan-j2-serializer)

ant

# fix rpmlint warings: saxpath-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/saxpath/**/*.css
for file in `find build/doc -type f | grep .css`; do
    %{__sed} -i 's/\r//g' $file
done

%install
# install jar
install -dm 755 %{buildroot}/%{_javadir}
cp -p build/saxpath.jar %{buildroot}/%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}/%{_javadir}/%{name}.jar

#install pom
install -dm 755 %{buildroot}/%{_datadir}/maven2/poms
cp -p %{SOURCE1} %{buildroot}/%{_datadir}/maven2/poms/JPP-saxpath.pom

#depmap entry
%add_to_maven_depmap saxpath saxpath %{version}-FCS JPP saxpath

# install javadoc
install -dm 755 %{buildroot}/%{_javadocdir}/%{name}
cp -a build/doc/* %{buildroot}/%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}

%files javadoc
%{_javadocdir}/*


%changelog

* Thu Jul 02 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.0-4
- (0278498) Rebuild with java8


